Personal Page V4
Get personal page by user ID (admin only)
GET
/
v4
/
personal-page
/
{id}
Get personal page by user ID (admin only)
curl --request GET \
--url https://api.example.com/v4/personal-page/{id} \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/personal-page/{id}"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/personal-page/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"useCustomColors": true,
"primaryColor": "<string>",
"secondaryColor": "<string>",
"description": "<string>",
"onlineProfiles": {
"linkedIn": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"xing": "<string>",
"phone": "<string>",
"email": "<string>",
"customLinks": [
{
"name": "<string>",
"url": "<string>",
"icon": "<string>"
}
],
"addressStreet": "<string>",
"addressCity": "<string>",
"addressPostalCode": "<string>",
"addressCountry": "<string>"
},
"headerImage": "<string>",
"meetingTypes": [
{
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"connectChannelName": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"bufferMustStayWithinWorkingHours": true,
"nameLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"descriptionLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"color": {}
},
"spots": 123,
"enabled": true,
"slug": "<string>",
"companyId": "<string>",
"locations": [
"<string>"
],
"isGlobalQueue": true,
"createdById": "<string>",
"createdAt": "<string>",
"formId": "<string>",
"communicationSettingsId": 123,
"availabilityId": "<string>",
"queueId": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"deletedAt": "<string>",
"resourceChannelIds": [
"<string>"
]
}
]
}{
"useCustomColors": true,
"primaryColor": "<string>",
"secondaryColor": "<string>",
"description": "<string>",
"onlineProfiles": {
"linkedIn": "<string>",
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"xing": "<string>",
"phone": "<string>",
"email": "<string>",
"customLinks": [
{
"name": "<string>",
"url": "<string>",
"icon": "<string>"
}
],
"addressStreet": "<string>",
"addressCity": "<string>",
"addressPostalCode": "<string>",
"addressCountry": "<string>"
},
"headerImage": "<string>",
"meetingTypes": [
{
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"connectChannelName": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"bufferMustStayWithinWorkingHours": true,
"nameLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"descriptionLocalised": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"color": {}
},
"spots": 123,
"enabled": true,
"slug": "<string>",
"companyId": "<string>",
"locations": [
"<string>"
],
"isGlobalQueue": true,
"createdById": "<string>",
"createdAt": "<string>",
"formId": "<string>",
"communicationSettingsId": 123,
"availabilityId": "<string>",
"queueId": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"deletedAt": "<string>",
"resourceChannelIds": [
"<string>"
]
}
]
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
Target user ID
Response
Whether custom colors are enabled for the personal page
Primary color for the personal page theme
Secondary color for the personal page theme
Personal page description text
Online profiles and social media links
Show child attributes
Show child attributes
Header image URL for the personal page
Meeting types assigned to this personal page
Show child attributes
Show child attributes
⌘I
Get personal page by user ID (admin only)
